import os, sys
from pathlib import Path
import matplotlib.pyplot as plt
import numpy as np
#from creader import ClusterFileReader
import creader as cr
import clustersFunctions as cf

fname = "/mnt/myData/230914_30s_star_100um_nofi/star_"
xmin=0
xmax=400
ymin=0
ymax=400
emin=0
emax=30

csize=3
gain=150
nbins=100
indmin=1
indmax=20



im=None



for i in range(indmin,indmax+1):
    #ff=fname
    ff=fname+str(i)+".clust"
    print(ff)
    r = cr.ClusterFileReader(ff)
    im, bins=cf.color_images(r, emin, emax, nbins, xmin, xmax, ymin, ymax,   im, csize, gain)

sp=np.sum(im,axis=(0,1))

fig, ax = plt.subplots()
ax.plot(bins[2][:-1],sp)
##ax.set_yscale('log')
fig.show()

cu=np.sum(im[:,:,10:35],axis=2)
cf.plot_colz(cu)

mo=np.sum(im[:,:,50:70],axis=2)
cf.plot_colz(mo)
